Delete an object storage access key

Remove a specific access key used for object storage. You cannot delete your last access key.

Object Storage Access Keys

Context

Used in the dashboard

/object-storage

Path Parameters

accessKey string required Example: [base64]

Base64-encoded accessKey

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.deleted boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

message string required · Example: Cannot delete the last access key. Create a new key first.

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/object-storage/keys/{accessKey}
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/object-storage/keys/[base64]" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "deleted": true
  }
}